Name:           libmpcdec
Version:        1.2.6
Release:        24
Summary:        Musepack Audio Decoder
License:        BSD-3-Clause
URL:            http://www.musepack.net/
Source0:        http://files.musepack.net/source/libmpcdec-%{version}.tar.bz2
BuildRequires:  gcc-c++ gcc sed

%description
Musepack is an audio compression format with a strong emphasis on high quality.
It's not lossless, but it is designed for transparency, so that you won't be
able to hear differences between the original wave file and the much smaller MPC
file.It is based on the MPEG-1 Layer-2 / MP2 algorithms, but has rapidly developed
and vastly improved and is now at an advanced stage in which it contains heavily
optimized and patentless code.

%package devel
Summary:        Development files for the Musepack audio decoding library
Requires:       %{name} = %{version}-%{release}

%description devel
Development and header files for Musepack.

%prep
%autosetup -n %{name}-%{version} -p1
sed -i.cflags -e 's|-O3 -fomit-frame-pointer||g' configure

%build
%configure --disable-static
%make_build

%install
%make_install
%delete_la

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%license COPYING
%doc AUTHORS ChangeLog README
%{_libdir}/libmpcdec.so.5*

%files devel
%{_includedir}/mpcdec/
%{_libdir}/libmpcdec.so

%changelog
* Tue May 10 2022 Ge Wang <wangge20@h-partner.com> - 1.2.6-24
- License compliance rectification

* Thu Oct 24 2019 yanzhihua <yanzhihua4@huawei.com> - 1.2.6-23
- Package init
